Sets the value for a property

- « SolrObject::offsetGet

- SolrObject::offsetUnset »

- PHP Manual
- SolrObject
- Sets the value for a property

# SolrObject::offsetSet

(PECL solr >= 0.9.2)

SolrObject::offsetSet — Sets the value for a property

### Description

public SolrObject::offsetSet(string `$property_name`, string `$property_value`): void

Sets the value for a property. This is used when the object is treated as an array. This object is read-only. This should never be attempted.

### Parameters

`property_name`

  The name of the property.

`property_value`

  The new value.

### Return Values

None.